# Generated by Django 3.2 on 2023-05-13 07:23

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('assignments', '0008_remove_assignment_coursedropdown'),
    ]

    operations = [
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mode', models.CharField(default='', max_length=100)),
                ('venue', models.CharField(default='', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('target_datetime', models.DateTimeField(default=datetime.datetime(2023, 5, 13, 15, 23, 18, 97700))),
                ('activity', models.CharField(default='', max_length=100)),
                ('estimated_hours', models.FloatField(default=0)),
                ('course', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='assignments.course')),
                ('location', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='venues', to='widget_calendar.location')),
            ],
        ),
    ]
